Subject: Re: bug#62044: 30.0.50; ERC 5.5: Auto-reconnect is broken

From: "J.P." <[email-masked]>
Date: Thu, 02 May 2024 19:32:48 -0700

Hi Alexis,

Alexis <[email-masked]> writes:

> i'm also affected by this issue, as a user of the soju bouncer. i'm on Emacs
> 29.3.
>
> i using ERC on my laptop, and my network connection is frequently disconnected
> and reconnected: partly because i'm regularly moving around, but also due to
> occasional dropouts on my home network.
>
> Is there anything i might be able to do to help with this? #29 says that
> certain changes have been added to HEAD; should i apply those changes and
> report back what, if anything, i discover?

Yes, please install ERC 5.6 when it's released, which should be any day
now. If you can't wait, you can try out the devel version [1]. Either
way, make sure to customize the option `erc-server-reconnect-function'
to `erc-server-delayed-check-reconnect' before connecting. Note that not
all values of `erc-server-connect-function' are supported. And yes, if
you could report back with any findings, that'd be great.

Thanks,
J.P.

[1] https://elpa.gnu.org/devel/doc/erc.html#Upgrading